import { ICCPreset, Object } from "./constants/presets";
import CreditCardTypes from "./types/CreditCardTypes";
import ICreditCard from "./types/ICreditCard";
import { Hex32 } from "./types/Misc";
export default class CreditCardGenerator {
    private encryption_key;
    private cc_presents;
    private service_code;
    private log_in_console;
    constructor(encryption_key?: Hex32 | null, cc_presents?: Object<ICCPreset> | null, service_code?: number, log_in_console?: boolean);
    generate_one(type?: CreditCardTypes): ICreditCard;
    generate_set(size: number, type?: CreditCardTypes): Set<ICreditCard>;
    private generate_cc_number;
    private generate_expiry_date;
    private generate_cvv2;
    protected encrypt_DES(data: string, key: string): string;
    protected decrypt_DES(data: string, key: string): string;
    protected pad_data(data: string): string;
    protected hexToBinary(hex: string): string;
    protected binaryToHex(binary: string): string;
    protected xor(hex1: string, hex2: string): string;
    static check_sum(number: string): boolean;
    private logger;
    private generate_encryption_key;
}
